import request from "@/utils/request";
// 任务下发
//列表
export function GetBillList(data) {
  return request({
    url: "/api/WeekWork/GetBillList",
    method: "post",
    data,
  });
}
//保存
export function SaveData(data) {
  return request({
    url: "/api/WeekWork/SaveData",
    method: "post",
    data,
  });
}
//删除
export function DelData(data) {
  return request({
    url: "/api/WeekWork/DelData",
    method: "post",
    data,
  });
}

//详情
export function DetialData(data) {
  return request({
    url: "/api/WeekWork/GetBillData",
    method: "post",
    data,
  });
}

///////////////////////计划面板

//名言
export function aphorism(data) {
  return request({
    url: "/apis.juhe.cn/fapigx/mingyan/query",
    method: "post",
    data,
  });
}

//保存
export function planSave(data) {
  return request({
    url: "/api/WeekPlan/SaveData",
    method: "post",
    data,
  });
}
//列表
export function planList(data) {
  return request({
    url: "/api/WeekPlan/GetBillList",
    method: "post",
    data,
  });
}
//我的计划列表
export function myPlanList(data) {
  return request({
    url: "/api/WeekPlan/GetMyList",
    method: "post",
    data,
  });
}
///////////////////我的日志
//列表
export function myLogList(data) {
  return request({
    url: "/api/WorkDiary/GetBillList",
    method: "post",
    data,
  });
}
//保存
export function myLogSave(data) {
  return request({
    url: "/api/WorkDiary/SaveData",
    method: "post",
    data,
  });
}
//删除
export function myLogDel(data) {
  return request({
    url: "/api/WorkDiary/DelData",
    method: "post",
    data,
  });
}

//详情
export function myLogDetial(data) {
  return request({
    url: "/api/WorkDiary/GetBillData",
    method: "post",
    data,
  });
}
/////////我的任务
//任务反馈
export function myTaskBack(data) {
  return request({
    url: "/api/WeekWork/SaveBackData",
    method: "post",
    data,
  });
}
//列表
export function myTaskList(data) {
  return request({
    url: "/api/WeekWork/GetMyList",
    method: "post",
    data,
  });
}
/////////任务审核
//任务列表
export function taskAuditList(data) {
  return request({
    url: "/api/WeekWork/GetAuditList",
    method: "post",
    data,
  });
}
//审核
export function taskAudit(data) {
  return request({
    url: "/api/WeekWork/AuditData",
    method: "post",
    data,
  });
}
